summaryrefslogtreecommitdiffstats
path: root/debian/bash.prerm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 06:17:26 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 06:17:26 +0000
commit3abb3f4db4372683dde9d2565d27d807ffdd5ac4 (patch)
tree83da6f31e160b887fcf21342ac42b2ea21a457c0 /debian/bash.prerm
parentAdding upstream version 5.1. (diff)
downloadbash-3abb3f4db4372683dde9d2565d27d807ffdd5ac4.tar.xz
bash-3abb3f4db4372683dde9d2565d27d807ffdd5ac4.zip
Adding debian version 5.1-2+deb11u1.debian/5.1-2+deb11u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/bash.prerm')
-rw-r--r--debian/bash.prerm22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/bash.prerm b/debian/bash.prerm
new file mode 100644
index 0000000..52052a2
--- /dev/null
+++ b/debian/bash.prerm
@@ -0,0 +1,22 @@
+#! /bin/bash
+
+set -e
+
+case "$1" in
+ upgrade)
+ update-alternatives --remove builtins.7.gz \
+ /usr/share/man/man7/bash-builtins.7.gz
+ ;;
+
+ remove|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#